[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TNumericField.EditFormat

Format string for editing of numerical data

## Declaration

Source position: db.pas line 527

`published property TNumericField.EditFormat : string read FEditFormat write SetEditFormat;`

## Description

EditFormat specifies a format string (such as used by the Format and FormatFloat functions) for editing purposes: the TField.Text property will use this property to format the field's value. Which formatting function (and, consequently, which format can be entered) is used depends on the descendent of the TNumericField class.

## See also

Format
FormatFloat
TField.Text |  | Text representation of the field
TNumericField.DisplayFormat |  | Format string for display of numerical data

Documentation generated on: Feb 26 2014